Bug 994457 - Build procps --with-systemd
Build procps --with-systemd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: procps-ng (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jaromír Cápík
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 06:36 EDT by Lukáš Nykrýn
Modified: 2016-01-31 20:58 EST (History)
1 user (show)

See Also:
Fixed In Version: procps-ng-3.3.8-11.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 15:11:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2013-08-07 06:36:13 EDT
Description of problem:
Procps-ng are able to obtain various information about processes through logind, but this feature is not enabled in rhel7.

Version-Release number of selected component (if applicable):
procps-ng-3.3.8


Actual results:
ps -A -o pid,unit
error: unknown user-defined format specifier "unit"

Expected results:
-bash-4.2# ps -A -o pid,unit
  PID UNIT
    1 -
   11 systemd-journald.service
   20 systemd-logind.service
   21 dbus.service
   24 session-67.scope
   26 session-67.scope
   62 session-67.scope


Patch:

diff --git a/procps-ng.spec b/procps-ng.spec
index 6214fe1..f3278aa 100644
--- a/procps-ng.spec
+++ b/procps-ng.spec
@@ -20,12 +20,14 @@ Patch5: procps-ng-3.3.8-RH-man-page-check.patch
 
 Requires(post): /sbin/ldconfig
 Requires(postun): /sbin/ldconfig
+Requires: systemd-libs
 
 BuildRequires: ncurses-devel
 BuildRequires: libtool
 BuildRequires: autoconf
 BuildRequires: automake
 BuildRequires: gettext-devel
+BuildRequires: systemd-devel
 
 %if %{tests_enabled}
 BuildRequires: dejagnu
@@ -100,7 +102,8 @@ autoreconf --verbose --force --install
             --disable-rpath \
             --enable-watch8bit \
             --enable-skill \
-            --enable-sigwinch
+            --enable-sigwinch \
+            --with-systemd
 
 
 make CFLAGS="%{optflags}"
Comment 2 Jaromír Cápík 2013-08-07 08:27:30 EDT
Ahoj Lukáši.

I'm gonna enable the feature in Fedora as well.
Thanks for the reminder.

Regards,
Jaromir.
Comment 3 Lukáš Nykrýn 2013-08-08 08:28:52 EDT
procps-ng-3.3.8-12.el7 works fine. Thanks!
Comment 4 Jaromír Cápík 2013-08-08 15:11:29 EDT
Thanks .... closing.

Note You need to log in before you can comment on or make changes to this bug.